package com.diagbot.service;

import com.diagbot.dto.ConceptRes;
import com.diagbot.dto.ConceptWithOrderRes;
import com.diagbot.entity.Concept;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.wrapper.ConceptWrapper;

import java.util.List;

/**
 * <p>
 * 概念表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2019-05-06
 */
public interface ConceptService extends IService<Concept> {

    List<ConceptRes> getConcept(ConceptWrapper conceptWrapper);

    List<ConceptWithOrderRes> getConceptWithOrder(ConceptWrapper conceptWrapper);

}
