package com.diagbot.service.impl;

import com.diagbot.dto.ConceptRes;
import com.diagbot.dto.ConceptWithOrderRes;
import com.diagbot.entity.Concept;
import com.diagbot.entity.wrapper.ConceptWrapper;
import com.diagbot.mapper.ConceptMapper;
import com.diagbot.service.ConceptService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 概念表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2019-05-06
 */
@Service
public class ConceptServiceImpl extends ServiceImpl<ConceptMapper, Concept> implements ConceptService {

    @Override
    public List<ConceptRes> getConcept(ConceptWrapper conceptWrapper){
        return baseMapper.getConcept(conceptWrapper);
    }

    @Override
    public List<ConceptWithOrderRes> getConceptWithOrder(ConceptWrapper conceptWrapper){
        return baseMapper.getConceptWithOrder(conceptWrapper);
    }
}
