package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description: 返回诊断基本信息
 * @Author: ztg
 * @Date: 2018/10/24 16:11
 */
@Getter
@Setter
public class DisDTO {

    private Long conceptId;// 概念id
    private String name;//内容
    @JsonIgnore
    private String typeName;//类型:慢病,急诊
}
