package com.diagbot.mapper;

import com.diagbot.dto.ConceptRes;
import com.diagbot.dto.ConceptWithOrderRes;
import com.diagbot.entity.Concept;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.entity.wrapper.ConceptWrapper;

import java.util.List;

/**
 * <p>
 * 概念表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2019-05-06
 */
public interface ConceptMapper extends BaseMapper<Concept> {

    List<ConceptRes> getConcept(ConceptWrapper conceptWrapper);

    List<ConceptWithOrderRes> getConceptWithOrder(ConceptWrapper conceptWrapper);
}
